
/* [11.07.2016] approved by skill group core team */
module.exports = {
	rules: {
		// enforce spacing inside array brackets
		'array-bracket-spacing': 0,

		// enforce spacing inside single-line blocks
		// http://eslint.org/docs/rules/block-spacing
		'block-spacing': 0,

		// enforce one true brace style
		'brace-style': 0,

		// require camel case names
		'camelcase': 0,

		// enforce spacing before and after comma
		'comma-spacing': 0,

		// enforce one true comma style
		'comma-style': 0,

		// disallow padding inside computed properties
		'computed-property-spacing': 0,

		// enforce newline at the end of file, with no multiple empty lines
		'eol-last': 0,

		// this option sets a specific tab width for your code
		// http://eslint.org/docs/rules/indent
		'indent': 0,

		// specify whether double or single quotes should be used in JSX attributes
		// http://eslint.org/docs/rules/jsx-quotes
		'jsx-quotes': 0,
		// [08.07.2016] enabled

		// enforces spacing between keys and values in object literal properties
		'key-spacing': 0,

		// require a space before & after certain keywords
		'keyword-spacing': 0,

		// disallow mixed 'LF' and 'CRLF' as linebreaks
		'linebreak-style': 0,

		// specify the maximum length of a line in your program
		// http://eslint.org/docs/rules/max-len
		'max-len': 0,

		// restrict the number of statements per line
		// http://eslint.org/docs/rules/max-statements-per-line
		'max-statements-per-line': 0,

		// http://eslint.org/docs/rules/newline-before-return
		'newline-before-return': 0,

		// enforces new line after each method call in the chain to make it
		// more readable and easy to maintain
		// http://eslint.org/docs/rules/newline-per-chained-call
		'newline-per-chained-call': 0,

		// disallow mixed spaces and tabs for indentation
		'no-mixed-spaces-and-tabs': 0,

		// disallow multiple empty lines and only one newline at the end
		'no-multiple-empty-lines': 0,

		// disallow space between function identifier and application
		'no-spaced-func': 0,

		// disallow trailing whitespace at the end of lines
		'no-trailing-spaces': 0,

		// disallow whitespace before properties
		// http://eslint.org/docs/rules/no-whitespace-before-property
		'no-whitespace-before-property': 0,

		// require padding inside curly braces
		'object-curly-spacing': 0,

		// enforce 'same line' or 'multiple line' on object properties.
		// http://eslint.org/docs/rules/object-property-newline
		'object-property-newline': 0,

		// require a newline around variable declaration
		// http://eslint.org/docs/rules/one-var-declaration-per-line
		'one-var-declaration-per-line': 0,

		// enforce operators to be placed before or after line breaks
		'operator-linebreak': 0,

		// enforce padding within blocks
		'padded-blocks': 0,

		// require quotes around object literal property names
		// http://eslint.org/docs/rules/quote-props.html
		'quote-props': 0,

		// specify whether double or single quotes should be used
		'quotes': 0,

		// require or disallow use of semicolons instead of ASI
		'semi': 0,

		// enforce spacing before and after semicolons
		'semi-spacing': 0,

		// require or disallow space before blocks
		'space-before-blocks': 0,

		// require or disallow space before function opening parenthesis
		// http://eslint.org/docs/rules/space-before-function-paren
		'space-before-function-paren': 0,

		// require or disallow spaces inside parentheses
		'space-in-parens': 0,

		// require spaces around operators
		'space-infix-ops': 0,

		// Require or disallow spaces before/after unary operators
		'space-unary-ops': 0,

		// require or disallow a space immediately following the // or /* in a comment
		'spaced-comment': 0,

		// require or disallow the Unicode Byte Order Mark
		// http://eslint.org/docs/rules/unicode-bom
		'unicode-bom': 0,

		// require regex literals to be wrapped in parentheses
		'wrap-regex': 0,
	},
};
